var VUE = null
window.addEventListener('load', function () {
  VUE = new Vue({
    el: '#app',
    data() {
      return {
        // 新增子Tab数据
        activeTab: '1',
        hazardList: [
          // 更多示例数据...
        ],
        // 新增以下数据
        userInfo: {},
        userData: {
          checkCount: 0, //检查数
          checkSelfCount: 0, //自查数
          hiddenCount: 0, //隐患数
          hiddenNoReCount: 0, //未整改数
        },
      }
    },
    created() {
      this.init()
    },
    computed: {},
    methods: {
      //初始化页面
      init() {
        this.getUserInfo()
        this.getUserData()
        this.getMerchantSelfCheckData()
      },
      /**请求数据 */
      // 获取用户数据的方法
      getUserData() {
        http
          .get('/gq/checkRecord/merHomeStatistics?date=' + this.selectedDate)
          .then((res) => {
            if (res.code == 200) {
              this.userData = res.data
            }
          })
      },
      //获取用户信息
      getUserInfo() {
        http.get('/gq/information/getAll/141 ').then((res) => {
          if (res.code !== 200 && res.data == null) {
            return
          }
          if (res.data.roleDeptNameVo.roleName == '商户') {
            this.userInfo = {
              userType: 'sj', // 登录用户type
              userId: '1', // 登录用户id
              userName: '张三', // 登录用户name
              deptId: '1', // 登录用户部门id
              deptName: res.data.roleDeptNameVo.deptName, // 登录用户部门name
              businessAddress: res.data.merchantInfoNumVo.businessAddress, //
              smallPlaceTypeName: res.data.merchantInfoNumVo.smallPlaceTypeName, //
              unitName: res.data.merchantInfoNumVo.unitName, //
              role: 'dudao',
              roleName: '商家',
            }
          }
        })
      },
      //获取商户自查数据
      getMerchantSelfCheckData() {
        http
          .get(
            '/gq/checkRecord/list?merId=1&pageSize=10&pageNum=0&type=' +
              this.activeTab
          )
          .then((res) => {
            this.hazardList = res.rows
          })
      },
    },
  })
})
